WITH scenario_name AS (
	SELECT "index" AS id, "text" AS name
	FROM text_data
	WHERE category = 237
), scenario_title AS (
	SELECT "index" AS id, "text" AS title
	FROM text_data
	WHERE category = 119
)
SELECT
	sc.id,
	n.name,
	t.title
FROM single_mode_scenario sc
	JOIN scenario_name n ON sc.id = n.id
	JOIN scenario_title t ON sc.id = t.id
ORDER BY sc.sort_id
